FT_EEPROM_2232H

com.ftdi.j2xx

## Class FT_EEPROM_2232H

- java.lang.Object
- - com.ftdi.j2xx.FT_EEPROM
  - - com.ftdi.j2xx.FT_EEPROM_2232H

-     public class FT_EEPROM_2232H
      extends FT_EEPROM

  EEPROM data structure on the 2232H

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FT_EEPROM_2232H.DRIVE_STRENGTH` The driver strength on the 2232H

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `A_FastSerial` Hardware Option - Interface A Fast Serial
    `boolean` | `A_FIFO` Hardware Option - Interface A 245 FIFO
    `boolean` | `A_FIFOTarget` Hardware Option - Interface A 245 FIFO CPU Target
    `boolean` | `A_LoadD2XX` Driver Option - Interface A Load D2XX Port
    `boolean` | `A_LoadVCP` Driver Option - Interface A Load virtual Com Port
    `boolean` | `A_UART` Hardware Option - Interface A 245 UART
    `byte` | `AH_DriveCurrent` Drive Option - AH pins have driver current.
    `boolean` | `AH_SchmittInput` Drive Option - AH pins have schmitt input.
    `boolean` | `AH_SlowSlew` Drive Option - AH pins have slow slew.
    `byte` | `AL_DriveCurrent` Drive Option - AL pins have driver current.
    `boolean` | `AL_SchmittInput` Drive Option - AL pins have schmitt input.
    `boolean` | `AL_SlowSlew` Drive Option - AL pins have slow slew.
    `boolean` | `B_FastSerial` Hardware Option - Interface B Fast Serial
    `boolean` | `B_FIFO` Hardware Option - Interface B 245 FIFO
    `boolean` | `B_FIFOTarget` Hardware Option - Interface B 245 FIFO CPU Target
    `boolean` | `B_LoadD2XX` Driver Option - Interface B Load D2XX Port
    `boolean` | `B_LoadVCP` Driver Option - Interface B Load virtual Com Port
    `boolean` | `B_UART` Hardware Option - Interface B 245 UART
    `byte` | `BH_DriveCurrent` Drive Option - BH pins have driver current.
    `boolean` | `BH_SchmittInput` Drive Option - BH pins have schmitt input.
    `boolean` | `BH_SlowSlew` Drive Option - BH pins have slow slew.
    `byte` | `BL_DriveCurrent` Drive Option - BL pins have driver current.
    `boolean` | `BL_SchmittInput` Drive Option - BL pins have schmitt input.
    `boolean` | `BL_SlowSlew` Drive Option - BL pins have slow slew.
    `boolean` | `PowerSaveEnable` Hardware Option - Power Save Enable if using BCBus7 to save power for self-powered designs.
    `int` | `TPRDRV` Driver Option - Rise and fall times of the USB signal lines

    - ### Fields inherited from class com.ftdi.j2xx.FT_EEPROM

      `DeviceType, Manufacturer, MaxPower, Product, ProductId, PullDownEnable, RemoteWakeup, SelfPowered, SerialNumber, SerNumEnable, VendorId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FT_EEPROM_2232H()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AL_SlowSlew

          public boolean AL_SlowSlew

      Drive Option - AL pins have slow slew.

    - #### AL_SchmittInput

          public boolean AL_SchmittInput

      Drive Option - AL pins have schmitt input.

    - #### AL_DriveCurrent

          public byte AL_DriveCurrent

      Drive Option - AL pins have driver current.

    - #### AH_SlowSlew

          public boolean AH_SlowSlew

      Drive Option - AH pins have slow slew.

    - #### AH_SchmittInput

          public boolean AH_SchmittInput

      Drive Option - AH pins have schmitt input.

    - #### AH_DriveCurrent

          public byte AH_DriveCurrent

      Drive Option - AH pins have driver current.

    - #### BL_SlowSlew

          public boolean BL_SlowSlew

      Drive Option - BL pins have slow slew.

    - #### BL_SchmittInput

          public boolean BL_SchmittInput

      Drive Option - BL pins have schmitt input.

    - #### BL_DriveCurrent

          public byte BL_DriveCurrent

      Drive Option - BL pins have driver current.

    - #### BH_SlowSlew

          public boolean BH_SlowSlew

      Drive Option - BH pins have slow slew.

    - #### BH_SchmittInput

          public boolean BH_SchmittInput

      Drive Option - BH pins have schmitt input.

    - #### BH_DriveCurrent

          public byte BH_DriveCurrent

      Drive Option - BH pins have driver current.

    - #### A_UART

          public boolean A_UART

      Hardware Option - Interface A 245 UART

    - #### B_UART

          public boolean B_UART

      Hardware Option - Interface B 245 UART

    - #### A_FIFO

          public boolean A_FIFO

      Hardware Option - Interface A 245 FIFO

    - #### B_FIFO

          public boolean B_FIFO

      Hardware Option - Interface B 245 FIFO

    - #### A_FIFOTarget

          public boolean A_FIFOTarget

      Hardware Option - Interface A 245 FIFO CPU Target

    - #### B_FIFOTarget

          public boolean B_FIFOTarget

      Hardware Option - Interface B 245 FIFO CPU Target

    - #### A_FastSerial

          public boolean A_FastSerial

      Hardware Option - Interface A Fast Serial

    - #### B_FastSerial

          public boolean B_FastSerial

      Hardware Option - Interface B Fast Serial

    - #### PowerSaveEnable

          public boolean PowerSaveEnable

      Hardware Option - Power Save Enable if using BCBus7 to save power for self-powered designs.

    - #### A_LoadVCP

          public boolean A_LoadVCP

      Driver Option - Interface A Load virtual Com Port

    - #### B_LoadVCP

          public boolean B_LoadVCP

      Driver Option - Interface B Load virtual Com Port

    - #### A_LoadD2XX

          public boolean A_LoadD2XX

      Driver Option - Interface A Load D2XX Port

    - #### B_LoadD2XX

          public boolean B_LoadD2XX

      Driver Option - Interface B Load D2XX Port

    - #### TPRDRV

          public int TPRDRV

      Driver Option - Rise and fall times of the USB signal lines

  - ### Constructor Detail

    - #### FT_EEPROM_2232H

          public FT_EEPROM_2232H()

About FTDI | FTDI Licence Terms